Bug 654007 - Review Request: python-simplemediawiki - Extremely low-level wrapper to the MediaWiki API
Review Request: python-simplemediawiki - Extremely low-level wrapper to the M...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Guillermo Gómez
Fedora Extras Quality Assurance
http://rpmdev.proyectofedora.org/proj...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-16 11:14 EST by Abdel Gadiel Martínez Lassonde
Modified: 2013-10-19 10:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-08 16:28:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
guillermo.gomez: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Abdel Gadiel Martínez Lassonde 2010-11-16 11:14:58 EST
Spec URL: http://potty.fedorapeople.org/python-simplemediawiki/1.0-2/python-simplemediawiki.spec
SRPM URL: http://potty.fedorapeople.org/python-simplemediawiki/1.0-2/python-simplemediawiki-1.0-2.fc14.src.rpm
Description: The module simplemediawiki is an extremely low-level wrapper to the MediaWiki API. It automatically handles cookies and g zip compression so that you can make basic calls to the API in the easiest way possible. It also provides a few functions to make day-to-day API access easier.

This is my first package and I need sponsor.

RESULT OF RPMLINT:
 - SRPM
   * 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 - SPEC
   * 0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Guillermo Gómez 2010-11-20 07:27:45 EST
SPEC filename:  Ok
Package Name (python): Ok
Package Version:  Ok
Package Release: Ok

BuildRequires: Ok
Requires: ERR, python-iso8601 its needed , please fix

Apart from this, spec looks fine.
Builds and install correctly.
Koji builds: F14 Ok
             F13 ERR, python-iso8601 not available yet.
Comment 2 Abdel Gadiel Martínez Lassonde 2010-11-20 08:32:48 EST
I have made the corrections.  Here are the links for the updated packages:
SPEC URL:
http://potty.fedorapeople.org/python-simplemediawiki/1.0-3/python-simplemediawiki.spec
SRPM URL:
http://potty.fedorapeople.org/python-simplemediawiki/1.0-3/python-simplemediawiki-1.0-3.fc14.src.rpm

RESULT OF RPMLINT:
 - SRPM
   * 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 - SPEC
   * 0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 3 Guillermo Gómez 2010-11-23 17:11:47 EST
APPROVED :)
Comment 4 Abdel Gadiel Martínez Lassonde 2010-11-25 06:29:48 EST
New Package SCM Request
=======================
Package Name: python-simplemediawiki
Short Description: Extremely low-level wrapper to the MediaWiki API
Owners: potty
Branches: f13 f14 el6
InitialCC: gomix ianweller
Comment 5 Jason Tibbitts 2010-11-25 13:58:33 EST
Git done (by process-git-requests).
Comment 6 Abdel Gadiel Martínez Lassonde 2010-12-12 10:29:12 EST
New Package SCM Request
=======================
Package Name: python-simplemediawiki
Short Description: Extremely low-level wrapper to the MediaWiki API
Owners: potty
Branches: f15 el5
InitialCC: gomix ianweller
Comment 7 Kevin Fenzi 2011-01-31 13:29:35 EST
GIT DONE

Note You need to log in before you can comment on or make changes to this bug.